# this plugin adds arrowheads to the ends of cords when in editmode in
# order to show the direction that the messages are flowing

proc add_arrows_to_cords {mytoplevel} {
    if { ! [winfo exists $mytoplevel] } {return}
    if {$mytoplevel eq ".pdwindow"} {return}
    set tkcanvas [tkcanvas_name $mytoplevel]
    if {$::editmode($mytoplevel) == 1} {
        $tkcanvas itemconfigure cord -arrow last
    } else {
        $tkcanvas itemconfigure cord -arrow none
    }
}

proc make_signal_cords_blue {mytoplevel} {
    if { ! [winfo exists $mytoplevel] } {return}
    if {$mytoplevel eq ".pdwindow"} {return}
    set tkcanvas [tkcanvas_name $mytoplevel]
	if {outlet_getsymbol(t.tr_outlet) == "&s_signal"} {
		$tkcanvas itemconfigure cord -fill green
		} else {
        $tkcanvas itemconfigure cord -fill black
		}
}

# &s_signal
# set $$s_signal -fill blue
# create line 0 10 5 0 -5 0 0 10 -width 2 -fill purple

# bind PatchWindow <<EditMode>> {+make_signal_cords_blue %W}
		
bind PatchWindow <<EditMode>> {+add_arrows_to_cords %W}
bind PatchWindow {+make_signal_cords_blue %W}
# if -fill blue
# (outlet_getsymbol(t.tr_outlet) == &s_signal ? 2:1)